LIBRSVG: C library for rendering SVG

LIBRSVG 2.62.3 C library for rendering SVG

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
Types
librsvg

Handle, rectangles, lengths, units, errors, and flags. More...

## Data Structures
struct | RsvgHandleClass
| RsvgHandleClass: More...
struct | RsvgHandle
| RsvgHandle: More...
struct | RsvgDimensionData
| RsvgDimensionData: More...
struct | RsvgPositionData
| RsvgPositionData: More...
struct | RsvgRectangle
| RsvgRectangle: More...
struct | RsvgLength
| RsvgLength: More...

## Macros
#define | RSVG_ERROR (rsvg_error_quark ())
#define | RSVG_TYPE_ERROR (rsvg_error_get_type())
#define | RSVG_TYPE_HANDLE (rsvg_handle_get_type ())
#define | RSVG_HANDLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), RSVG_TYPE_HANDLE, RsvgHandle))
#define | RSVG_HANDLE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), RSVG_TYPE_HANDLE, RsvgHandleClass))
#define | RSVG_IS_HANDLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RSVG_TYPE_HANDLE))
#define | RSVG_IS_HANDLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RSVG_TYPE_HANDLE))
#define | RSVG_HANDLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), RSVG_TYPE_HANDLE, RsvgHandleClass))
#define | RSVG_TYPE_HANDLE_FLAGS (rsvg_handle_flags_get_type())

## Enumerations
enum | RsvgError { RSVG_ERROR_FAILED }
| RsvgError: @RSVG_ERROR_FAILED: the request failed. More...
enum | RsvgUnit { RSVG_UNIT_PERCENT , RSVG_UNIT_PX , RSVG_UNIT_EM , RSVG_UNIT_EX , RSVG_UNIT_IN , RSVG_UNIT_CM , RSVG_UNIT_MM , RSVG_UNIT_PT , RSVG_UNIT_PC , RSVG_UNIT_CH }
| RsvgUnit: More...
enum | RsvgHandleFlags { RSVG_HANDLE_FLAGS_NONE = 0 , RSVG_HANDLE_FLAG_UNLIMITED = 1 << 0 , RSVG_HANDLE_FLAG_KEEP_IMAGE_DATA = 1 << 1 }
| RsvgHandleFlags: @RSVG_HANDLE_FLAGS_NONE: no flags @RSVG_HANDLE_FLAG_UNLIMITED: no limits on XML size (trusted input only) @RSVG_HANDLE_FLAG_KEEP_IMAGE_DATA: keep compressed image bytes. More...

## Functions
GQuark | rsvg_error_quark (void)
| rsvg_error_quark:
GType | rsvg_error_get_type (void)
GType | rsvg_handle_get_type (void)
GType | rsvg_handle_flags_get_type (void)

## Detailed Description

Handle, rectangles, lengths, units, errors, and flags.

## Macro Definition Documentation

## ◆ RSVG_ERROR

#define RSVG_ERROR (rsvg_error_quark ())

`#include <rsvg.h>`

## ◆ RSVG_HANDLE

#define RSVG_HANDLE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), RSVG_TYPE_HANDLE, RsvgHandle))

`#include <rsvg.h>`

## ◆ RSVG_HANDLE_CLASS

#define RSVG_HANDLE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), RSVG_TYPE_HANDLE, RsvgHandleClass))

`#include <rsvg.h>`

## ◆ RSVG_HANDLE_GET_CLASS

#define RSVG_HANDLE_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), RSVG_TYPE_HANDLE, RsvgHandleClass))

`#include <rsvg.h>`

## ◆ RSVG_IS_HANDLE

#define RSVG_IS_HANDLE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RSVG_TYPE_HANDLE))

`#include <rsvg.h>`

## ◆ RSVG_IS_HANDLE_CLASS

#define RSVG_IS_HANDLE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), RSVG_TYPE_HANDLE))

`#include <rsvg.h>`

## ◆ RSVG_TYPE_ERROR

#define RSVG_TYPE_ERROR (rsvg_error_get_type())

`#include <rsvg.h>`

## ◆ RSVG_TYPE_HANDLE

#define RSVG_TYPE_HANDLE (rsvg_handle_get_type ())

`#include <rsvg.h>`

## ◆ RSVG_TYPE_HANDLE_FLAGS

#define RSVG_TYPE_HANDLE_FLAGS (rsvg_handle_flags_get_type())

`#include <rsvg.h>`

## Enumeration Type Documentation

## ◆ RsvgError

enum RsvgError

`#include <rsvg.h>`

RsvgError: @RSVG_ERROR_FAILED: the request failed.

Domain for librsvg errors.

Since
  2.14

Enumerator
RSVG_ERROR_FAILED |

## ◆ RsvgHandleFlags

enum RsvgHandleFlags

`#include <rsvg.h>`

RsvgHandleFlags: @RSVG_HANDLE_FLAGS_NONE: no flags @RSVG_HANDLE_FLAG_UNLIMITED: no limits on XML size (trusted input only) @RSVG_HANDLE_FLAG_KEEP_IMAGE_DATA: keep compressed image bytes.

Since
  2.36

Enumerator
RSVG_HANDLE_FLAGS_NONE |
RSVG_HANDLE_FLAG_UNLIMITED |
RSVG_HANDLE_FLAG_KEEP_IMAGE_DATA |

## ◆ RsvgUnit

enum RsvgUnit

`#include <rsvg.h>`

RsvgUnit:

CSS length units for RsvgLength.

Since
  2.46

Enumerator
RSVG_UNIT_PERCENT |
RSVG_UNIT_PX |
RSVG_UNIT_EM |
RSVG_UNIT_EX |
RSVG_UNIT_IN |
RSVG_UNIT_CM |
RSVG_UNIT_MM |
RSVG_UNIT_PT |
RSVG_UNIT_PC |
RSVG_UNIT_CH |

## Function Documentation

## ◆ rsvg_error_get_type()

GType rsvg_error_get_type | ( | void |  | ) |

`#include <rsvg.h>`

## ◆ rsvg_error_quark()

GQuark rsvg_error_quark | ( | void |  | ) |

`#include <rsvg.h>`

rsvg_error_quark:

Error domain for RSVG.

Since
  2.14

## ◆ rsvg_handle_flags_get_type()

GType rsvg_handle_flags_get_type | ( | void |  | ) |

`#include <rsvg.h>`

## ◆ rsvg_handle_get_type()

GType rsvg_handle_get_type | ( | void |  | ) |

`#include <rsvg.h>`